commit:     0aa098bcd2591b5a421910c81b1363706164409c
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sat Nov 14 20:19:25 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Nov 14 20:19:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0aa098bc

net-im/librvp: disable static libs

Closes: https://bugs.gentoo.org/740670
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 net-im/librvp/librvp-0.9.7.ebuild | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

diff --git a/net-im/librvp/librvp-0.9.7.ebuild 
b/net-im/librvp/librvp-0.9.7.ebuild
index 69563f1ad40..b87866183e5 100644
--- a/net-im/librvp/librvp-0.9.7.ebuild
+++ b/net-im/librvp/librvp-0.9.7.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -10,13 +10,19 @@ 
SRC_URI="https://www.waider.ie/hacks/workshop/c/rvp/${P}.tar.gz";
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 x86"
-IUSE=""
 
 RDEPEND="net-im/pidgin[gtk]"
 DEPEND="virtual/pkgconfig
        ${RDEPEND}"
 
 src_configure() {
-       econf --with-gaim-plugin-dir="${EPREFIX}"/usr/$(get_libdir)/pidgin \
-               --with-gaim-data-dir="${EPREFIX}"/usr/share/pixmaps/pidgin
+       econf \
+               --with-gaim-plugin-dir="${EPREFIX}"/usr/$(get_libdir)/pidgin \
+               --with-gaim-data-dir="${EPREFIX}"/usr/share/pixmaps/pidgin \
+               --disable-static
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to